
CD-Section: LIRL Convenience Routine
C A convenience routine is provided to pass the symmetry data from the KSM to a
C Laue Integrated Reflection List (LIRL)
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     KSM_SYM_LIRL     **
C**************************
C
CD-Routine: Set Symmetry in LIRL - KSM_SYM_LIRL
C This routine is a convenience routine is provided to pass the symmetry 
C data from the KSM to a Laue Integrated Reflection List (LIRL). The
C routine LIRLF_SETSYM is called using the internally stored symmetry arrays.
CD-end
CD-Fortran:
      SUBROUTINE KSM_SYM_LIRL (MINDX, IERR)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set Symmetry in LIRL
C
C Author:  John W. Campbell, July 1997
C
C Arguments:
C
      INTEGER MINDX
      INTEGER IERR
C
CD-Parameters: 
C MINDX          i  (R)  Index as returned by LIRLF_INIT
C IERR           i  (W)  Error return code =0  OK, =-1 Invalid index 
C                        given or list not initialised
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C
      INTEGER KERR
C
C-------------------------------------------------------------------------------
C
      IERR = 0
      CALL LIRLF_SETSYM (MINDX, ROTSYM, RSMINV, KERR)
      IF (KERR.LT.0) IERR = -1
      RETURN
      END
